@import url('https://fonts.googleapis.com/css2?family=Grand+Hotel&family=Sansation:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&display=swap');


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}


body{
     font-family: "Sansation", sans-serif;
     background-color: black;
     color: #fdfdfd;
 
}

header{
   
    background-image: url();
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

html {
  scroll-behavior: smooth;
}

.video{
  width: 100%;
  height: 100%;
  z-index: 1;
    display: flex;
    align-items: center;
    
}
.menu{
    position: absolute;
    top: 20px;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 1000;
    margin-right: 500px;
}

.menu-btn {
  position: fixed;
  top: 30px;
  right: 30px;

  font-size: 36px;
  color: white;
  cursor: pointer;

  z-index: 1001;
}



.logo{
   width: 100px;
   margin-left: 100px;
}


.menu .navbar ul{
    list-style: none;
}

.menu .navbar ul li{
   position: relative;
   float: left;
  margin-right: 10px;
}

.menu .navbar ul li a{
    
    color: #fdfdfd;
   font-size: 10px;
   padding: 20px;
   display: block;
   text-transform: uppercase;
 transition: color 0.3s ease;
   &:hover span{
    color: #e70b25;
   }
}

.fullscreen-menu {
position: fixed;
  inset: 0;
  background: black;

  display: flex;
  align-items: center;
  justify-content: center;

  z-index: 999;

  opacity: 0;
  pointer-events: none;
  transform: translateY(-100%);
  transition: transform 0.6s ease, opacity 0.4s ease;
}

#menu:checked ~ .fullscreen-menu {
   opacity: 1;
  pointer-events: auto;
  transform: translateY(0);
}


.fullscreen-menu a {
  cursor: pointer;
}




.fullscreen-menu ul {
 list-style: none;
  display: flex;
  flex-direction: column;
  gap: 40px;
  text-align: center;
}

.fullscreen-menu ul li {
  margin: 20px 0;
    opacity: 0;
  transform: translateY(30px);
  transition: opacity 0.4s ease, transform 0.4s ease;
}

.fullscreen-menu h1 {
  display: flex;
  justify-content: center;
  gap: 6px;
  font-size: 28px;
  letter-spacing: 4px;
}


.fullscreen-menu ul li a h1 {
  font-size: clamp(28px, 5vw, 48px);
  color: white;
  text-transform: uppercase;
}
#menu:checked ~ .fullscreen-menu ul li {
  opacity: 1;
  transform: translateY(0);
}

.fullscreen-menu ul li:nth-child(1) {
  transition-delay: 0.2s;
}
.fullscreen-menu ul li:nth-child(2) {
  transition-delay: 0.35s;
}
.fullscreen-menu ul li:nth-child(3) {
  transition-delay: 0.5s;
}
.fullscreen-menu ul li:nth-child(4) {
  transition-delay: 0.65s;
}


.conocenos-txt span:nth-child(1) { transition-delay: 0.7s; }
.conocenos-txt span:nth-child(2) { transition-delay: 0.6s; }
.conocenos-txt span:nth-child(3) { transition-delay: 0.5s; }
.conocenos-txt span:nth-child(4) { transition-delay: 0.4s; }
.conocenos-txt span:nth-child(5) { transition-delay: 0.3s; }
.conocenos-txt span:nth-child(6) { transition-delay: 0.2s; }
.conocenos-txt span:nth-child(7) { transition-delay: 0.1s; }
.conocenos-txt span:nth-child(8) { transition-delay: 0s; }

.producciones-txt span:nth-child(1) { transition-delay: 1.1s; }
.producciones-txt span:nth-child(2) { transition-delay: 1s; }
.producciones-txt span:nth-child(3) { transition-delay: 0.9s; }
.producciones-txt span:nth-child(4) { transition-delay: 0.8s; }
.producciones-txt span:nth-child(5) { transition-delay: 0.7s; }
.producciones-txt span:nth-child(6) { transition-delay: 0.6s; }
.producciones-txt span:nth-child(7) { transition-delay: 0.5s; }
.producciones-txt span:nth-child(8) { transition-delay: 0.4s; }
.producciones-txt span:nth-child(9) { transition-delay: 0.3s; }
.producciones-txt span:nth-child(10) { transition-delay: 0.2s; }
.producciones-txt span:nth-child(11) { transition-delay: 0.1s; }
.producciones-txt span:nth-child(12) { transition-delay: 0s; }

.titulo span:nth-child(1) { transition-delay: 0.5s; }
.titulo span:nth-child(2) { transition-delay: 0.4s; }
.titulo span:nth-child(3) { transition-delay: 0.3s; }
.titulo span:nth-child(4) { transition-delay: 0.2s; }
.titulo span:nth-child(5) { transition-delay: 0.1s; }
.titulo span:nth-child(6) { transition-delay: 0s; }


.calendario-txt span:nth-child(1) { transition-delay: 1.2s; }
.calendario-txt span:nth-child(2) { transition-delay: 1.1s; }
.calendario-txt span:nth-child(3) { transition-delay: 1s; }
.calendario-txt span:nth-child(4) { transition-delay: 0.9s; }
.calendario-txt span:nth-child(5) { transition-delay: 0.8s; }
.calendario-txt span:nth-child(6) { transition-delay: 0.7s; }
.calendario-txt span:nth-child(7) { transition-delay: 0.6s; }
.calendario-txt span:nth-child(8) { transition-delay: 0.5s; }
.calendario-txt span:nth-child(9) { transition-delay: 0.4s; }
.calendario-txt span:nth-child(10) { transition-delay: 0.3s; }
.calendario-txt span:nth-child(11) { transition-delay: 0.2s; }
.calendario-txt span:nth-child(12) { transition-delay: 0.1s; }
.calendario-txt span:nth-child(13) { transition-delay: 0s; }




#menu{
    display: none;
}

.menu-icono{
    width: 25px;
}

.menu label{
cursor: pointer;

}

.evento-page {
  background-color: black;
  color: white;
}

.evento-anio {
  font-size: 28px;
  opacity: 1;
  display: block;
  margin-bottom: 30px;
}
.evento-contenido {
  display: flex;
  gap: 80px;
  padding: 80px 100px;
  align-items: flex-start;
}

.evento-imagen img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}



.evento-imagen img {
  width: 100%;
  height: auto;
  display: block;
  border-radius: 10px;
  object-fit: cover;
}


.evento-descripcion {
  max-width: 820px;
  font-size: 25px;
  line-height: 1.7;
  opacity: 0.9;
 
}

.evento-creditos {
    margin-left: 200px;
  max-width: 420px;
  font-size: 24px;
  line-height: 1.6;
  text-align: left;
}

.evento-creditos p {
  margin-bottom: 20px;
}

@media (max-width: 900px) {
  .evento-contenido {
    flex-direction: column;
    padding: 40px 20px;
    gap: 40px;
  }

  .evento-creditos {
    text-align: left;
  }

  .evento-creditos h1 {
    font-size: 28px;
  }

  .evento-creditos{
    margin: 0;
  }

  .evento-imagen {
    max-width: 100%;
  }

  .evento-imagen img {
    width: 100%;
    border-radius: 16px;
  }

  .evento-descripcion{
     margin-top: 25px;
  }
}
